<p>
    <?php
        echo $this->lmsg('hint', array(
            'customer-link' => '<a href="' . $this->baseUrl('/customer/create') . '">' . $this->lmsg('customerLinkTitle') . '</a>',
            'subscription-link' => '<a href="' . $this->baseUrl('/subscription/create') . '">' . $this->lmsg('subscriptionLinkTitle') . '</a>'
        ));
    ?>
</p>

<script type="text/javascript">
//<![CDATA[
Jsw.onReady(function() {

    new Jsw.Panel({
        cls: 'list-box',
        renderTo: 'main',
        items: [
            new Jsw.List({
                id: 'domains-list',
                searchFilters: <?php echo Zend_Json::encode($this->domainsList->getSearchFilterConfig()); ?>,
                searchOveral: 'domainName',
                data: <?php echo Zend_Json::encode($this->domainsList->fetchData()); ?>,
                dataUrl: '/domain/list-data',
                disabledSelectHint: <?php echo $this->domainsList->jsLmsg('disabledSelectHint');?>,
                operations: [
                    {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonSuspendDomains',
                        title: <?php echo $this->domainsList->jsLmsg('buttonSuspendDomains');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintSuspendDomains'); ?>,
                        addCls: 'sb-suspend',
                        handler: function() {
                            Jsw.getComponent('domains-list').execGroupOperation({
                                url: '/domain/suspend/?redirect=/domain/list/',
                                skipConfirmation: true
                            });
                        }
                    }, {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonActivateDomains',
                        title: <?php echo $this->domainsList->jsLmsg('buttonActivateDomains');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintActivateDomains'); ?>,
                        addCls: 'sb-activate',
                        handler: function() {
                            Jsw.getComponent('domains-list').execGroupOperation({
                                url: '/domain/activate/?redirect=/domain/list/',
                                skipConfirmation: true
                            });
                        }
                    }, {
                        componentType: 'Jsw.bar.Separator'
                    <?php if ($this->domainsList->isHostingTypeVisible('alias')): ?>
                    }, {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonHideDomainAlias',
                        title: <?php echo $this->domainsList->jsLmsg('buttonHideDomainAlias');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintHideDomainAlias'); ?>,
                        addCls: 'sb-domain-alias',
                        handler: function() {
                            Jsw.redirectPost(Jsw.baseUrl + '/domain/change-hosting-type-visibility',
                                {hostingType: 'alias', isVisible: false, redirect: '/domain/list'}, '_self');
                        }
                    <?php else: ?>
                    }, {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonShowDomainAlias',
                        title: <?php echo $this->domainsList->jsLmsg('buttonShowDomainAlias');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintShowDomainAlias'); ?>,
                        addCls: 'sb-domain-alias',
                        handler: function() {
                            Jsw.redirectPost(Jsw.baseUrl + '/domain/change-hosting-type-visibility',
                                {hostingType: 'alias', isVisible: true, redirect: '/domain/list'}, '_self');
                        }
                    <?php endif ?>
                    <?php if ($this->domainsList->isHostingTypeVisible('subdomain')): ?>
                    }, {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonShowSubdomain',
                        title: <?php echo $this->domainsList->jsLmsg('buttonHideSubdomain');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintHideSubdomain'); ?>,
                        addCls: 'sb-subdomain',
                        handler: function() {
                            Jsw.redirectPost(Jsw.baseUrl + '/domain/change-hosting-type-visibility',
                                {hostingType: 'subdomain', isVisible: false, redirect: '/domain/list'}, '_self');
                        }
                    <?php else: ?>
                    }, {
                        componentType: 'Jsw.SmallButton',
                        id: 'buttonShowSubdomain',
                        title: <?php echo $this->domainsList->jsLmsg('buttonShowSubdomain');?>,
                        description: <?php echo $this->domainsList->jsLmsg('hintShowSubdomain'); ?>,
                        addCls: 'sb-subdomain',
                        handler: function() {
                            Jsw.redirectPost(Jsw.baseUrl + '/domain/change-hosting-type-visibility',
                                {hostingType: 'subdomain', isVisible: true, redirect: '/domain/list'}, '_self');
                        }
                    <?php endif ?>
                    }
                ],
                columns: [
                    Jsw.list.COLUMN_SELECTION,
                    {
                        header: <?php echo $this->domainsList->jsLmsg('domainName');?>,
                        sortable: true,
                        dataIndex: 'domainDisplayName',
                        renderer: function(item, isDisabled) {
                            var message = '';
                            if (item.domainStatus != 0) {
                                message += '<div class="b-indent"><span class="b-indent-icon"><span>' +
                                    '<span class="tooltipData">' + <?php echo $this->domainsList->jsLmsg('statusSuspended');?> + '</span>' +
                                    '<img src="' + Jsw.skinUrl + '/img/icons/small/subscription-status-suspended_16.gif' + '" alt="suspended" title="">' +
                                    '</span>';
                            }
                            message += '<a href="' + Jsw.baseUrl + '/subscription/overview/id/' + item.webspaceId + '">' +
                                item.domainDisplayName.escapeHTML() +
                                '</a>';
                            if (item.domainStatus != 0) {
                                message += '</span></div>';
                            }
                            return message;
                        }
                    }, {
                        header: <?php echo $this->domainsList->jsLmsg('hostingType');?>,
                        sortable: true,
                        dataIndex: 'hostingType',
                        renderer: function(item, isDisabled) {
                            var message = '';

                            if (item.hostingType == 'alias') {
                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/dns_16.gif"/>'
                                    + ' '
                                    + <?php echo $this->domainsList->jsLmsg('aliasFor'); ?>
                                    + ' '
                                    + '<a href="http://' + item.realDomainName.escapeHTML() + '">'
                                    + item.realDomainDisplayName.escapeHTML()
                                    + '</a>';
                            } else if (item.hostingType == 'vrt_hst') {

                                var webrootDir = item.webrootDir;

                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/website_16.gif"/>'
                                    + ' '
                                    + (item.parentDomainId > 0 ?
                                    <?php echo $this->domainsList->jsLmsg('subdomainWebsite') ?> :
                                    <?php echo $this->domainsList->jsLmsg('website'); ?>);

                            } else if (item.hostingType == 'none') {
                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/spacer_16.gif" />'
                                    + '<em class="hint">' + <?php echo $this->domainsList->jsLmsg('noHosting'); ?> + '</em>';

                            } else if (item.hostingType == 'frm_fwd' || item.hostingType == 'std_fwd') {

                                message = '<img src="' + Jsw.skinUrl + '/img/icons/small/forward-to-dom_16.gif"/>'
                                    + ' '
                                    + <?php echo $this->domainsList->jsLmsg('forwardingTo'); ?>
                                    + ' '
                                    + '<a href="' + item.forwardingUrl.escapeHTML() + '" target="_blank">'
                                    + item.forwardingUrlHost.escapeHTML()
                                    + '</a>';
                            }

                            return message;
                        }
                     }, {
                        header: <?php echo $this->domainsList->jsLmsg('ownerName');?>,
                        sortable: true,
                        dataIndex: 'ownerName',
                        renderer: function(item, isDisabled) {
                            var linkHref = null;
                            if ('client' == item.ownerType) {
                                linkHref = 'customer';
                            } else
                            if ('reseller' == item.ownerType) {
                                <?php if ($this->showResellerLink): ?>
                                linkHref = 'reseller';
                                <?php endif ?>
                            }
                            var link =
                                (linkHref ? '<a href="' + Jsw.baseUrl + '/' + linkHref + '/overview/id/' + item.ownerId + '">' : '')
                                    + item.ownerName.escapeHTML() +
                                (linkHref ? '</a>' : '') +
                                (item.ownerCompanyName ? ', ' + item.ownerCompanyName.escapeHTML() : '');
                            return link;
                        }
                    }, {
                        header: <?php echo $this->domainsList->jsLmsg('setupDate');?>,
                        sortable: true,
                        dataIndex: 'setupDate',
                        renderer: function(item, isDisabled) {
                            return item.setupDateString.escapeHTML();
                        }
                    <?php if (!$this->isBillingAvailable): ?>
                    }, {
                        header: <?php echo $this->domainsList->jsLmsg('expirationDate');?>,
                        sortable: true,
                        dataIndex: 'expirationDate',
                        renderer: function(item, isDisabled) {
                            if (item.expirationDateString) {
                                return item.expirationDateString.escapeHTML();
                            } else {
                                return '&mdash;';
                            }
                        }
                    <?php endif ?>
                    }, {
                        header: <?php echo $this->domainsList->jsLmsg('diskUsage');?>,
                        sortable: true,
                        dataIndex: 'realSize',
                        renderer: function(item, isDisabled) {
                            return item.diskUsage.escapeHTML();
                        }
                    }, {
                        header: <?php echo $this->domainsList->jsLmsg('traffic');?>,
                        sortable: false,
                        dataIndex: 'traffic'
                    }, {
                        header: '',
                        sortable: false,
                        renderer: function(item, isDisabled) {
                            if (item.hostingType != 'none') {
                                return '<a href="http://' + item.realDomainName + '" class="s-btn sb-view-site" target="_blank"><span>' +
                                    <?php echo $this->domainsList->jsLmsg('viewSite'); ?> +
                                    '</span></a> ';
                            }
                            return '';
                        }
                    }, {
                        header: '',
                        sortable: false,
                        renderer: function(item, isDisabled) {
                            return AdminPanel.Subscription.getControlPanelLoginHTML(
                                item.webspaceId,
                                'admin' != item.ownerType,
                                <?php if ($this->layout()->isClassicMode): ?>
                                    <?php echo $this->domainsList->jsLmsg('buttonLoginClassicMode'); ?>,
                                    <?php echo $this->domainsList->jsLmsg('hintLoginClassicMode'); ?>,
                                <?php else: ?>
                                    <?php echo $this->domainsList->jsLmsg('buttonLogin'); ?>,
                                    'admin' == item.ownerType ? <?php echo $this->domainsList->jsLmsg('hintAdminLogin'); ?> : <?php echo $this->domainsList->jsLmsg('hintLogin'); ?>,
                                <?php endif; ?>
                                'admin' == item.ownerType ? '/domain/list' : null,
                                <?php echo $this->layout()->isClassicMode ? 'true' : 'false' ?>
                            );
                        }
                    }
                ],
                onRedraw: function () {
                    $$('span.hint.hint-info').each(function(hintElement) {
                        new Jsw.AjaxTooltip.Instance({
                            title: <?php echo $this->jsLmsg('admin.controllers.subscription.stat-hint.title'); ?>,
                            waitMsg: <?php echo $this->jsLmsg('admin.controllers.subscription.stat-hint.waitMessage'); ?>,
                            url: '/subscription/stats-hint/domainId/' + hintElement.id.replace('hint-item-', ''),
                            target: hintElement.id
                        });
                    });
                }
            })
        ]
    });
});
//]]>
</script>
